/*
 * KEnemy.cpp
 *
 *  Created on: Oct 6, 2008
 *      Author: Santi
 */

#ifdef KITSCHY_DEBUG_MEMORY
#include "debug_memorymanager.h"
#endif

#ifdef _WIN32
#include <windows.h>
#endif

#include "KEnemy.h"

#include "KObjectCreator.h"

KEnemy::KEnemy(int x, int y, int sfx_volume) : KObject(x,y,sfx_volume)
{
	m_class = kenemy_symbol;

	m_keep_angle = true;
}

KEnemy::~KEnemy() {
}


bool KEnemy::is_a(Symbol *c)
{
    if (c->cmp(kenemy_symbol))
        return true;

    return KObject::is_a(c);
} /* KPlayer::is_a */


bool KEnemy::is_a(char *c)
{
    bool retval;
    Symbol *s = new Symbol(c);

    retval = is_a(s);

    delete s;

    return retval;
} /* KPlayer::is_a */
